From 51e25dc00d811965c6e72d1914bd03035d9797fe Mon Sep 17 00:00:00 2001
From: Justin Pryzby <pryzbyj@telsasoft.com>
Date: Tue, 22 Nov 2022 18:44:23 -0600
Subject: [PATCH 5/6] conjunction is cleaner and shorter than nested
 conditionals

---
 src/backend/replication/pgoutput/pgoutput.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/backend/replication/pgoutput/pgoutput.c b/src/backend/replication/pgoutput/pgoutput.c
index 2ecaa5b9074..2ec201e3007 100644
--- a/src/backend/replication/pgoutput/pgoutput.c
+++ b/src/backend/replication/pgoutput/pgoutput.c
@@ -810,7 +810,7 @@ pgoutput_row_filter_exec_expr(ExprState *state, ExprContext *econtext)
 	ret = ExecEvalExprSwitchContext(state, econtext, &isnull);
 
 	elog(DEBUG3, "row filter evaluates to %s (isnull: %s)",
-		 isnull ? "false" : DatumGetBool(ret) ? "true" : "false",
+		 !isnull && DatumGetBool(ret) ? "true" : "false",
 		 isnull ? "true" : "false");
 
 	if (isnull)
-- 
2.25.1

